import request from '@/utils/request'
// 查询加工工时统计表
export function getwork_state() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_设备数据采集_工作状态_查询'
    }
  })
}
// 查询工位状态
export function getOP_state() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_设备数据采集_工位状态_查询'
    }
  })
}
// 查询零件图号
export function searchtooltip(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_工位零件图号查询_设备监控',
      param: '工位号=' + num
    }
  })
}
// 查询工位状态
export function getOP_state2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_设备数据采集_工位状态_查询_按工位号',
      param: '工位号=' + num
    }
  })
}
// 查询待加工零件
export function getDaijiagong(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_待加工零件_查询_设备监控',
      param: '工位号=' + num
    }
  })
}
// 查询总装
export function getZongzhuang() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '3',
      name: 'SELECT 机床图号 FROM PDM_机床名称 where 机床装配实际开始时间 is not null and 机床装配实际完成时间 is null'
    }
  })
}
// 查询部装
export function getBuzhuang() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '3',
      name: 'SELECT 机床图号,组号,任务名称 FROM 车间管理_工作计划 inner join PDM_机床名称 on 车间管理_工作计划.机床流水号=PDM_机床名称.机床流水号 where 计划类型=1 and 是否工作=1 and 组号 <> \'\''
    }
  })
}
